// Abre PopUp de Alarmes - Desktop
function AbrirPopUp(titulo, codLinhasTabelas, statusAlarme, paginaAtual, quantidade) {
    $.ajax({
        url: "CarregarAlarmes/" + codLinhasTabelas + "/" + statusAlarme + "/" + paginaAtual + "/" + quantidade + "/" + false,
        cache: false,
        success: function (data) {
            var novoId = "popup_" + codLinhasTabelas + statusAlarme;
            var novaDialog = "<div id='" + novoId + "'></div>";

            if ($("#" + novoId).html() === null)
                $("#popUp").append(novaDialog);
            else {
                $("#" + novoId).remove();
                $("#popUp").append(novaDialog);
            }

            $("#" + novoId).html(data);
            $("#" + novoId).dialog({
                autoOpen: true,
                modal: false,
                draggable: true,
                resizable: true,
                title: titulo,
                width: ($(window).width() * 0.8),
                show: "blind",
                buttons: {
                    "Fechar": function () {
                        $(this).dialog("destroy");
                        $(this).remove();
                    }
                },
                close: function (event, ui) {
                    $(this).dialog("destroy");
                    $(this).remove();
                }
            });
        },
        error: function () {
            alert("erro!!!!");
        }
    });
}

function mobileResize() {
}

//Abre Modal de Alarmes - Phone e Tablets
function AbrirModal(titulo, codLinhasTabelas, statusAlarme, paginaAtual, quantidade) {
    $.ajax({
        url: "CarregarAlarmes/" + codLinhasTabelas + "/" + statusAlarme + "/" + paginaAtual + "/" + quantidade + "/" + true,
        cache: false,
        success: function (data) {
            var novoId = "modal_" + codLinhasTabelas + statusAlarme;
            var novaDialog = "<div id='" + novoId + "'></div>";

            if ($("#" + novoId).html() === null)
                $("#modal").append(novaDialog);
            else {
                $("#" + novoId).remove();
                $("#modal").append(novaDialog);
            }

            $("#" + novoId).html(data);
            $("#" + novoId).dialog({
                autoOpen: true,
                modal: true,
                draggable: true,
                resizable: false,
                title: titulo,
                width: 'auto',
                buttons: {
                    "Fechar": function () {
                        $(this).dialog("destroy");
                        $(this).remove();
                    }
                },
                close: function (event, ui) {
                    $(this).dialog("destroy");
                    $(this).remove();
                }
            });
        }
    });
}

// Paginação
function AbrirPaginacaoPopUp(codLinhasTabelas, statusAlarme, paginaAtual, quantidade, buscar) {
    if (!buscar) return;
    $.ajax({
        url: "CarregarAlarmes/" + codLinhasTabelas + "/" + statusAlarme + "/" + paginaAtual + "/" + quantidade,
        cache: false,
        success: function (data) {
            var popUpId = "popup_" + codLinhasTabelas + statusAlarme;

            $("#" + popUpId).html(data);
        }
    });
}

function AbrirPaginacaoModal(codLinhasTabelas, statusAlarme, paginaAtual, quantidade) {
    $.ajax({
        url: "CarregarAlarmes/" + codLinhasTabelas + "/" + statusAlarme + "/" + paginaAtual + "/" + quantidade + "/" + true,
        cache: false,
        success: function (data) {
            var modalId = "modal_" + codLinhasTabelas + statusAlarme;

            $("#" + modalId).html(data);
        }
    });
}

// Tooltip Links
$('a[rel=tooltip]').tooltip();

// Valida input type=date(HTML5) se não compativel com browser então seta DataPicker
$(function () {
    if (!Modernizr.inputtypes.date) {
        $.datepicker.setDefaults($.datepicker.regional["pt-BR"]);

        $(function () {
            $("input[type='date']").datepicker();
        })
    }
});

//Exibe "carregar" botão busca
$('#btnBuscar').click(function () {
    $('#btnBuscar').button('loading');
});

$('.dropdown-toggle').dropdown();

//$('.accordion')
//  .collapse()
//  .on('show hide', function (e) {
//      $(e.target).siblings('.accordion-heading').find('.accordion-toggle i').toggleClass('icon-chevron-down icon-chevron-right', 200);
//  });

//Mostra a coluna de Filtros
$('#aba-filtro').click(function () {
    $('#filtro-box').animate({
        width: 'toggle'
    });

    $('#aba-filtro').animate({
        width: 'toggle'
    });
});

//Oculta a coluna de Filtros
$('#filtro-box .titleList .icon-minus').click(function () {
    $('#filtro-box').animate({
        width: 'toggle'
    });
    $('#aba-filtro').animate({
        width: 'toggle'
    });
});

//Envia dados do filtro via Ajax
$('#btnFiltrar').click(function () {
    var linhas = new Array();
    var veiculos = new Array();
    var tabelas = new Array();
    var tiposAlarmes = new Array();
    var statusAlarmes = "";

    $("[name=chkLinhas]:checked").each(function () {
        linhas.push($(this).val());
    });
    $("[name=chkVeiculos]:checked").each(function () {
        veiculos.push($(this).val());
    });
    $("[name=chkTabelas]:checked").each(function () {
        tabelas.push($(this).val());
    });
    $("[name=chkTiposAlarme]:checked").each(function () {
        if (!$(this).attr('disabled'))
            tiposAlarmes.push($(this).val());
    });

    //Executa Loop entre todas as Radio buttons com o name de valor
    $('input:radio[name=status]').each(function () {
        //Verifica qual está selecionado
        if ($(this).is(':checked'))
            statusAlarmes = parseInt($(this).val());
    });

    $.ajax({
        type: 'POST',
        data: {
            linhas: linhas.join(","),
            veiculos: veiculos.join(","),
            tabelas: tabelas.join(","),
            tiposAlarmes: tiposAlarmes.join(","),
            statusAlarmes: statusAlarmes
        },
        url: 'Filtrar',
        success: function (data) {
            $('#fcv-list').html(data);
            $('#filtro-box .titleList .icon-minus').trigger("click");
        },
        error: function () {
            alert('Erro ao filtrar');
        }
    });
    return true;
});

//Mantem selecionados o select multiplo
$('.select-toggle').each(function () {
    var select = $(this), values = {};
    $('option', select).each(function (i, option) {
        values[option.value] = option.selected;
    }).click(function (event) {
        values[this.value] = !values[this.value];
        $('option', select).each(function (i, option) {
            option.selected = values[option.value];
        });
    });
});

//Paginação da busca
function PaginacaoBusca(paginaAtual, quantidade) {
    var linhas = new Array();
    var veiculos = new Array();
    var tabelas = new Array();
    var tiposAlarmes = new Array();
    var statusAlarmes = "";

    $("[name=chkLinhas]:checked").each(function () {
        linhas.push($(this).val());
    });
    $("[name=chkVeiculos]:checked").each(function () {
        veiculos.push($(this).val());
    });
    $("[name=chkTabelas]:checked").each(function () {
        tabelas.push($(this).val());
    });
    $("[name=chkTiposAlarme]:checked").each(function () {
        if (!$(this).attr('disabled'))
            tiposAlarmes.push($(this).val());
    });

    //Executa Loop entre todas as Radio buttons com o name de valor
    $('input:radio[name=status]').each(function () {
        //Verifica qual está selecionado
        if ($(this).is(':checked'))
            statusAlarmes = parseInt($(this).val());
    });

    $.ajax({
        type: 'POST',
        data: {
            linhas: linhas.join(","),
            veiculos: veiculos.join(","),
            tabelas: tabelas.join(","),
            tiposAlarmes: tiposAlarmes.join(","),
            statusAlarmes: statusAlarmes,
            paginaAtual: paginaAtual,
            quantidade: quantidade
        },
        url: 'Filtrar',
        success: function (data) {
            $('#fcv-list').html(data);
        },
        error: function () {
            alert('Erro na paginação...');
        }
    });
}

$('.pagination .disabled a, .pagination .active a').on('click', function (e) {
    e.preventDefault();
});


//Deixa o Menu de navegação com propriedade Position:Fixed
/*$(window).scroll(function () {
var scrollTop = $(this).scrollTop();

if (scrollTop >= 80) {
//$('.navbar').css("position", "fixed");
//$('.navbar').css("top", "-1px");

$('.navbar')
.removeClass('navbar-fixed-top')
.addClass('navbar-static-top');

}
else {
// $('.navbar').css("position", "absolute");
// $('.navbar').css("top", "80px");

$('.navbar')
.addClass('navbar-fixed-top')
.removeClass('navbar-static-top');
}
});*/

//Marca e Desmarca todas as Linhas e muda a cor de fundo de todos os checkbox
$(document).ready(function () {
    $('#chk_todos_linhas').click(function () {
        check = this;
        jQuery.each($('[name=chkLinhas]'), function () {
            check.checked ? this.checked = true : this.checked = false;
            check.checked ? $(this).parent().css("background-color", "#D8E9F5") : $(this).parent().css("background-color", "#fff");
        });
    });
});
$('[name=chkLinhas]').change(function () {
    var bgColor = "inherit";

    if (this.checked)
        bgColor = "#D8E9F5";
    else
        $('#chk_todos_linhas').removeAttr('checked');

    $(this).parent().css("background-color", bgColor);
});


//Marca e Desmarca todos os veículos e muda a cor de fundo de todos os checkbox
$(document).ready(function () {
    $('#chk_todos_veiculos').click(function () {
        check = this;
        jQuery.each($('[name=chkVeiculos]'), function () {
            check.checked ? this.checked = true : this.checked = false;
            check.checked ? $(this).parent().css("background-color", "#D8E9F5") : $(this).parent().css("background-color", "#fff");
        });
    });
});
$('[name=chkVeiculos]').change(function () {
    var bgColor = "inherit";

    if (this.checked)
        bgColor = "#D8E9F5";
    else
        $('#chk_todos_veiculos').removeAttr('checked');

    $(this).parent().css("background-color", bgColor);
});


//Marca e Desmarca todas as tabelas e muda a cor de fundo de todos os checkbox
$(document).ready(function () {
    $('#chk_todos_tabelas').click(function () {
        check = this;
        jQuery.each($('[name=chkTabelas]'), function () {
            check.checked ? this.checked = true : this.checked = false;
            check.checked ? $(this).parent().css("background-color", "#D8E9F5") : $(this).parent().css("background-color", "#fff");
        });
    });
});
$('[name=chkTabelas]').change(function () {
    var bgColor = "inherit";

    if (this.checked)
        bgColor = "#D8E9F5";
    else
        $('#chk_todos_tabelas').removeAttr('checked');

    $(this).parent().css("background-color", bgColor);
});


//Marca e Desmarca todos os Alarmes e muda a cor de fundo de todos os checkbox
$(document).ready(function () {
    $('#chk_todos_tipos_alarmes').click(function () {
        check = this;
        jQuery.each($('[name=chkTiposAlarme]'), function () {
            check.checked ? this.checked = true : this.checked = false;
            check.checked ? $(this).parent().css("background-color", "#D8E9F5") : $(this).parent().css("background-color", "#fff");
        });
    });
});
$('[name=chkTiposAlarme]').change(function () {
    var bgColor = "inherit";

    if (this.checked)
        bgColor = "#D8E9F5";
    else
        $('#chk_todos_tipos_alarmes').removeAttr('checked');

    $(this).parent().css("background-color", bgColor);
});

$('[name=status]').change(function () {
    var bgColor = "inherit";

    $('#collapseFour').find(':radio').parent().css("background-color", "#ffffff");

    if (this.checked)
        bgColor = "#D8E9F5";

    $(this).parent().css("background-color", bgColor);

    //Opção "Sem Alarmes" limpa e desmarca os filtros dos "Tipos Alarmes".
    if ($(this).val() === "1") {
        // $('#chk_todos_tipos_alarmes').attr('checked', false); ;
        // $('#collapseFive').find(':checkbox').attr('checked', false);

        $('#chk_todos_tipos_alarmes').attr('disabled', true);;
        $('#collapseFive').find(':checkbox').attr('disabled', true);

        $('[name=chkTiposAlarme]').parent().css("background-color", "inherit");

    }
    else {
        $('#chk_todos_tipos_alarmes').removeAttr('disabled');
        $('#collapseFive').find(':checkbox').removeAttr('disabled');
    }
});

